Get a pricing logic algorithm specification

get

https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/pricingLogicAlgorithmSpecification/{id}

Returns the pricing logic algorithm specification with the specified ID.

Request

Path Parameters
Query Parameters

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

The pricing logic algorithm specification was returned successfully.
Body ()
Root Schema : PricingLogicAlgorithmSpecification_Schemas
Type: object
Title: PricingLogicAlgorithmSpecification_Schemas
Discriminator: @type

Discriminator Values

The pricing logic algorithm specification resource.
Match One Schema
Show Source
Nested Schema : PricingLogicAlgorithmSpecificationsOracle
Title: PricingLogicAlgorithmSpecificationsOracle
Match All
Show Source
  • PricingLogicAlgorithmSpecification
    Title: PricingLogicAlgorithmSpecification
    Discriminator: { "propertyName":"@type", "mapping":{ "PricingLogicAlgorithmSpecification":"#/components/schemas/PricingLogicAlgorithmSpecification", "PricingLogicAlgorithmSpecificationOracle":"#/components/schemas/PricingLogicAlgorithmSpecificationOracle" } }
    The specification models flexible interface definitions to support reuse by existing rating algorithms.
  • Discriminator: @type
    Discriminator: { "propertyName":"@type", "mapping":{ "OneTimePLASpecOracle":"#/components/schemas/OneTimePLASpecOracle", "UsagePLASpecOracle":"#/components/schemas/UsagePLASpecOracle", "RecurringPLASpecOracle":"#/components/schemas/RecurringPLASpecOracle", "PricingLogicAlgorithmSpecificationOracle":"#/components/schemas/PricingLogicAlgorithmSpecificationOracle" } }
Nested Schema : OneTimePLASpecOracle
Title: OneTimePLASpecOracle
Match All
Show Source
Nested Schema : UsagePLASpecOracle
Title: UsagePLASpecOracle
Match All
Show Source
Nested Schema : RecurringPLASpecOracle
Title: RecurringPLASpecOracle
Match All
Show Source
Nested Schema : PricingLogicAlgorithmSpecification
Type: object
Title: PricingLogicAlgorithmSpecification
Discriminator: @type

Discriminator Values

The specification models flexible interface definitions to support reuse by existing rating algorithms.
Show Source
Nested Schema : Discriminator: @type
Type: object
Discriminator: @type

Discriminator Values

Show Source
Nested Schema : OneTimePLASpecOracle-allOf[1]
Type: object
Nested Schema : UsagePLASpecOracle-allOf[1]
Type: object
Show Source
Nested Schema : UsageSpecificationRefOracle
Title: UsageSpecificationRefOracle
Match All
Show Source
  • UsageSpecificationRef
    Title: UsageSpecificationRef
    Discriminator: { "propertyName":"@type", "mapping":{ "UsageSpecificationRef":"#/components/schemas/UsageSpecificationRef", "UsageSpecificationRefOracle":"#/components/schemas/UsageSpecificationRefOracle" } }
    The usage specification reference: A ProductSpecification is a detailed description of a tangible or intangible object made available externally in the form of a ProductOffering to customers or other parties playing a party role.
  • UsageSpecificationRefOracle-allOf[1]
Nested Schema : UsageSpecificationRef
Type: object
Title: UsageSpecificationRef
Discriminator: @type

Discriminator Values

The usage specification reference: A ProductSpecification is a detailed description of a tangible or intangible object made available externally in the form of a ProductOffering to customers or other parties playing a party role.
Show Source
Nested Schema : UsageSpecificationRefOracle-allOf[1]
Type: object
Show Source
Nested Schema : RecurringPLASpecOracle-allOf[1]
Type: object

400 Response

Your request couldn't be processed because it contains missing or invalid information, such as a validation error on an input field, a missing required value, and so forth.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

401 Response

Your request isn't authorized. The authentication credentials included with this request are missing or invalid.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

404 Response

The resource with the specified URI couldn't be found.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

405 Response

HTTP action specified in the request (DELETE, GET, POST, PUT) isn't supported for this request URI.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

500 Response

The server encountered something unexpected that prevented it from completing the request.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

501 Response

The server doesn't support the functionality required to fulfill the request.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source
Back to Top

Examples

The following example shows how to get a category by submitting a GET request on the REST resource using cURL.

cURL Command

curl -u username:password -X GET https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/pricingLogicAlgorithmSpecification/TestPLASpec \ -H 'Content-Type: application/json'

Example of Response Body

The following example shows the contents of the response body in JSON format.

{
    "id": "PLAspec1",
    "name": "PLA Spec",
    "description": "Description of PLAspec",
    "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/pricingLogicAlgorithmSpecification/PLAspec1",
    "version": "1.0",
    "lifecycleStatus": "In design",
    "created": "2025-02-17T12:53:28.000Z",
    "createdBy": "booth",
    "lastUpdate": "2025-02-17T12:53:28.047Z",
    "lastUpdatedBy": "booth",
    "@type": "PricingLogicAlgorithmSpecificationOracle",
    "@baseType": "PricingLogicAlgorithmSpecification",
    "@schemaLocation": "https://{FusionAppsHost}/CatalogManagement/schema/oracle/PricingLogicAlgorithmSpecificationOracle.yml",
    "versionState": 0,
    "plaSpecCharacteristic": [
        {
            "name": "Colour",
            "description": "Phone Colour",
            "valueType": "STRING",
            "@type": "PLASpecCharacteristic",
            "extensible": false,
            "configurable": true,
            "isUnique": true,
            "minCardinality": 1,
            "maxCardinality": 1
        }
    ]
}
Back to Top